summaryrefslogtreecommitdiff
path: root/dev-python/arrow
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/arrow
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/arrow')
-rw-r--r--dev-python/arrow/Manifest4
-rw-r--r--dev-python/arrow/arrow-0.13.1.ebuild36
-rw-r--r--dev-python/arrow/arrow-0.15.5.ebuild32
-rw-r--r--dev-python/arrow/arrow-0.15.6.ebuild32
-rw-r--r--dev-python/arrow/arrow-0.15.7.ebuild32
-rw-r--r--dev-python/arrow/files/arrow-0.15.5-remove-dateparser.patch39
-rw-r--r--dev-python/arrow/metadata.xml13
7 files changed, 188 insertions, 0 deletions
diff --git a/dev-python/arrow/Manifest b/dev-python/arrow/Manifest
new file mode 100644
index 000000000000..9c0d0fb8b674
--- /dev/null
+++ b/dev-python/arrow/Manifest
@@ -0,0 +1,4 @@
+DIST arrow-0.13.1.tar.gz 148509 BLAKE2B 7a47f8886cc2f50f6dda682daab37c599aad15c7e4a0c76b1324f9fe3a1b8168e3a2b29352bdc9c4daf0fa3b3843fa919d5256997c673bcb24ca033312242b60 SHA512 4933e02fe4ef7a632d55e5c6d2cbcefe6840467c809e0377be92f02d0dc10b5b2421cea2be7ddd5158236ec80f44848125253bfeef5a2ae635a3b9c5761fa105
+DIST arrow-0.15.5.tar.gz 82264 BLAKE2B 2091e16921a5f9f944de3f25ce853b50973d970d982b880fafa75ee37f98110dde05bfd02bb8ce27518ed17600e5bcfb8602c353d7e3af249aa4bfc4b642356d SHA512 cb147a1f2976e6cedddbf2d2d0d5ce69a4a609d4c0c3d68f96b317fc2af334552cb0c1a94aa5bb38e6d74ca7e1beab1ae8a325920a15efd79c35835c92df2409
+DIST arrow-0.15.6.tar.gz 83160 BLAKE2B 1a79e91a3185b8866653646f1a553d141b0c20b4712ab809add0362c76f7f9086a259db9827423074387017c439664e5c8bd663b719eadf725a4de608f370cc2 SHA512 c56316f8c535c6f14ccaab32e2559b45309170fd47e8728cdd8c0e2af9398264f90fbdd0ece82d14e3f959d24b186fac3e8bb52cf7a64fe0dcd4c247650c73b5
+DIST arrow-0.15.7.tar.gz 89278 BLAKE2B 591fbd63aaeb644ab21f0499df7929cdafe181ad9065459677c84347395dcc694e39db47d596b4d3f920e32e3f1e03da1d9e85c8f197d545dd335e9055a65f47 SHA512 28cfc9edbf013ee03bb52c9794333d725a4fc967f0c8c6837931fc6994e08c367763deb193b8eae8b931cf849294bfce3470316c0a1b73340eb96ca1c9d8959c
diff --git a/dev-python/arrow/arrow-0.13.1.ebuild b/dev-python/arrow/arrow-0.13.1.ebuild
new file mode 100644
index 000000000000..32e2d4b9a904
--- /dev/null
+++ b/dev-python/arrow/arrow-0.13.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Better dates and times for Python"
+HOMEPAGE="https://github.com/crsmithdev/arrow/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]"
+
+DEPEND="
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/chai[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ )"
+
+python_prepare() {
+ sed -i -e "/with-coverage/d" setup.cfg || die
+}
+
+python_test() {
+ nosetests -v || die
+}
diff --git a/dev-python/arrow/arrow-0.15.5.ebuild b/dev-python/arrow/arrow-0.15.5.ebuild
new file mode 100644
index 000000000000..4c301a3683a4
--- /dev/null
+++ b/dev-python/arrow/arrow-0.15.5.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Better dates and times for Python"
+HOMEPAGE="https://github.com/crsmithdev/arrow/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]"
+
+BDEPEND="
+ test? (
+ dev-python/chai[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests setup.py
+
+PATCHES=(
+ "${FILESDIR}"/arrow-0.15.5-remove-dateparser.patch
+)
diff --git a/dev-python/arrow/arrow-0.15.6.ebuild b/dev-python/arrow/arrow-0.15.6.ebuild
new file mode 100644
index 000000000000..055eb05fe410
--- /dev/null
+++ b/dev-python/arrow/arrow-0.15.6.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Better dates and times for Python"
+HOMEPAGE="https://github.com/crsmithdev/arrow/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/arrow/arrow-0.15.7.ebuild b/dev-python/arrow/arrow-0.15.7.ebuild
new file mode 100644
index 000000000000..be803b27abc6
--- /dev/null
+++ b/dev-python/arrow/arrow-0.15.7.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Better dates and times for Python"
+HOMEPAGE="https://github.com/crsmithdev/arrow/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' tox.ini || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/arrow/files/arrow-0.15.5-remove-dateparser.patch b/dev-python/arrow/files/arrow-0.15.5-remove-dateparser.patch
new file mode 100644
index 000000000000..ea3b7847964b
--- /dev/null
+++ b/dev-python/arrow/files/arrow-0.15.5-remove-dateparser.patch
@@ -0,0 +1,39 @@
+From 00b34547e99259eda92d7bd1ca406e74693d6861 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Sun, 19 Apr 2020 18:30:20 +0200
+Subject: [PATCH] Remove test requiring dateparser
+
+---
+ tests/factory_tests.py | 9 ---------
+ 1 file changed, 9 deletions(-)
+
+diff --git a/tests/factory_tests.py b/tests/factory_tests.py
+index abdd0d0..65fa1bb 100644
+--- a/tests/factory_tests.py
++++ b/tests/factory_tests.py
+@@ -2,7 +2,6 @@
+ import time
+ from datetime import date, datetime
+
+-import dateparser
+ from chai import Chai
+ from dateutil import tz
+
+@@ -113,14 +112,6 @@ class GetTests(Chai):
+
+ assertDtEqual(self.factory.get(tz.gettz("US/Pacific")), self.expected)
+
+- # regression test for issue #658
+- def test_one_arg_dateparser_datetime(self):
+- expected = datetime(1990, 1, 1).replace(tzinfo=tz.tzutc())
+- # dateparser outputs: datetime.datetime(1990, 1, 1, 0, 0, tzinfo=<StaticTzInfo 'UTC\+00:00'>)
+- parsed_date = dateparser.parse("1990-01-01T00:00:00+00:00")
+- dt_output = self.factory.get(parsed_date)._datetime.replace(tzinfo=tz.tzutc())
+- self.assertEqual(dt_output, expected)
+-
+ def test_kwarg_tzinfo(self):
+
+ self.expected = (
+--
+2.26.1
+
diff --git a/dev-python/arrow/metadata.xml b/dev-python/arrow/metadata.xml
new file mode 100644
index 000000000000..6f73beda91e7
--- /dev/null
+++ b/dev-python/arrow/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">crsmithdev/arrow</remote-id>
+ <remote-id type="pypi">arrow</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>